FALLOCATE(1)

BEZEICHNUNG
fallocate - einer Datei Platz im Dateisystem zuweisen oder die Zuweisung lösen

ÜBERSICHT
fallocate [-n] [-p] [-o offset] -l length filename

BESCHREIBUNG
fallocate wird verwendet, um Blöcke für eine Datei vorzureservieren oder die Reservierung aufzuheben. Wenn das Dateisystem den fallocate-Systemaufruf unterstützt, geschieht dies schnell durch Zuweisung von Blöcken und Markierung dieser Blöcke als nicht initialisiert. Dadurch ist direkter E/A-Zugriff auf die Datenblöcke unnötig. Diese Vorgehensweise ist bedeutend schneller als die Erzeugung der Datei durch Füllen mit Nullen.

As of the Linux Kernel v2.6.31, the fallocate system call is supported by the btrfs, ext4, ocfs2, and xfs filesystems.

Der von fallocate zurückgegebene Exit-Code ist 0 bei Erfolg und 1 bei Fehlschlag.

OPTIONEN
Die Argumente für Länge und Versatz können durch die Binärsuffixe KiB=1024, MiB1024*1024 und so weiter für GiB, TiB, PiB und EiB ergänzt werden, wobei das »iB« nicht erforderlich ist. Zum Beispiel ist »K« gleichbedeutend mit »KiB«. Möglich sind außerdem die Dezimalsuffixe KB=1000, MB=1000*1000, GB, PB und EB.

-n, --keep-size
    verhindert die Änderung der eigentlichen Länge der Datei. Dadurch können tatsächlich auch Blöcke nach dem Dateiende (EOF) zugewiesen werden, die durch Abschneiden entfernt werden können.

-p, --punch-hole
    Punch holes in the file, the range should not exceed the length of the file.

-o, --offset Versatz
    Specifies the beginning offset of the allocation, in bytes.

-l, --length Länge
    Specifies the length of the allocation, in bytes.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

AUTOREN
Eric Sandeen (sandeen@redhat.com)
Karel Zak (kzak@redhat.com)

SIEHE AUCH
fallocate(2), posix_fallocate(3), truncate(1)

VERFÜGBARKEIT
Der Befehl fallocate ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (ftp://ftp.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.